Skip to main content

Get user's monthly usage by ID

GET 

/v2/users/:userId/usage/monthly

Returns the same summary of monthly usage as Get user's monthly usage, for an account given by its ID or username.

You can only access your own account, or the organization your API token belongs to. API tokens with limited permissions can't use this endpoint.

Using the date parameter will show the usage in the monthly usage cycle that includes that date.

Request

Path Parameters

    userId string required

    User ID or username of your account, or of the organization your API token belongs to.


    Example: HGzIk8z78YcAPEB

Query Parameters

    date string

    Date in the YYYY-MM-DD format.


    Example: 2020-06-14

Status 200

Response Headers
    {
    "data": {
    "usageCycle": {
    "startAt": "2022-10-02T00:00:00.000Z",
    "endAt": "2022-11-01T23:59:59.999Z"
    },
    "monthlyServiceUsage": {},
    "dailyServiceUsages": [
    {
    "date": "2022-10-02T00:00:00.000Z",
    "serviceUsage": {
    "ACTOR_COMPUTE_UNITS": {
    "quantity": 60,
    "baseAmountUsd": 0.00030000000000000003,
    "baseUnitPriceUsd": 0.000005,
    "amountAfterVolumeDiscountUsd": 0.00030000000000000003,
    "priceTiers": []
    }
    },
    "totalUsageCreditsUsd": 0.0474385791970591
    }
    ],
    "totalUsageCreditsUsdBeforeVolumeDiscount": 0.786143673840067,
    "totalUsageCreditsUsdAfterVolumeDiscount": 0.786143673840067
    }
    }